<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>SchematicPaginationBox (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SchematicPaginationBox (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html" title="class in com.sk89q.worldedit.util.formatting.component"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/SubtleFormat.html" title="class in com.sk89q.worldedit.util.formatting.component"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/util/formatting/component/SchematicPaginationBox.html" target="_top">Frames</a></li>
<li><a href="SchematicPaginationBox.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util.formatting.component</div>
<h2 title="Class SchematicPaginationBox" class="title">Class SchematicPaginationBox</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html" title="class in com.sk89q.worldedit.util.formatting.component">com.sk89q.worldedit.util.formatting.component.TextComponentProducer</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/MessageBox.html" title="class in com.sk89q.worldedit.util.formatting.component">com.sk89q.worldedit.util.formatting.component.MessageBox</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html" title="class in com.sk89q.worldedit.util.formatting.component">com.sk89q.worldedit.util.formatting.component.PaginationBox</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.formatting.component.SchematicPaginationBox</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">SchematicPaginationBox</span>
extends <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html" title="class in com.sk89q.worldedit.util.formatting.component">PaginationBox</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/SchematicPaginationBox.html#SchematicPaginationBox-java.lang.String-java.io.File:A-java.lang.String-">SchematicPaginationBox</a></span>(java.lang.String&nbsp;rootDir,
                      java.io.File[]&nbsp;files,
                      java.lang.String&nbsp;pageCommand)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>com.sk89q.worldedit.util.formatting.text.Component</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/SchematicPaginationBox.html#getComponent-int-">getComponent</a></span>(int&nbsp;number)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/SchematicPaginationBox.html#getComponentsSize--">getComponentsSize</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.formatting.component.PaginationBox">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.util.formatting.component.<a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html" title="class in com.sk89q.worldedit.util.formatting.component">PaginationBox</a></h3>
<code><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html#create--">create</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html#create-int-">create</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html#formatForConsole--">formatForConsole</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html#fromStrings-java.lang.String-java.lang.String-java.util.List-">fromStrings</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html#getCurrentPage--">getCurrentPage</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html#setComponentsPerPage-int-">setComponentsPerPage</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.formatting.component.MessageBox">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.util.formatting.component.<a href="../../../../../../com/sk89q/worldedit/util/formatting/component/MessageBox.html" title="class in com.sk89q.worldedit.util.formatting.component">MessageBox</a></h3>
<code><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/MessageBox.html#centerAndBorder-com.sk89q.worldedit.util.formatting.text.TextComponent-">centerAndBorder</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/MessageBox.html#getContents--">getContents</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.formatting.component.TextComponentProducer">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.util.formatting.component.<a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html" title="class in com.sk89q.worldedit.util.formatting.component">TextComponentProducer</a></h3>
<code><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html#append-com.sk89q.worldedit.util.formatting.text.Component-">append</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html#append-java.lang.String-">append</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html#getBuilder--">getBuilder</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html#newline--">newline</a>, <a href="../../../../../../com/sk89q/worldedit/util/formatting/component/TextComponentProducer.html#reset--">reset</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SchematicPaginationBox-java.lang.String-java.io.File:A-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SchematicPaginationBox</h4>
<pre>public&nbsp;SchematicPaginationBox(java.lang.String&nbsp;rootDir,
                              java.io.File[]&nbsp;files,
                              java.lang.String&nbsp;pageCommand)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getComponent-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getComponent</h4>
<pre>public&nbsp;com.sk89q.worldedit.util.formatting.text.Component&nbsp;getComponent(int&nbsp;number)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html#getComponent-int-">getComponent</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html" title="class in com.sk89q.worldedit.util.formatting.component">PaginationBox</a></code></dd>
</dl>
</li>
</ul>
<a name="getComponentsSize--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getComponentsSize</h4>
<pre>public&nbsp;int&nbsp;getComponentsSize()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html#getComponentsSize--">getComponentsSize</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html" title="class in com.sk89q.worldedit.util.formatting.component">PaginationBox</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/PaginationBox.html" title="class in com.sk89q.worldedit.util.formatting.component"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/util/formatting/component/SubtleFormat.html" title="class in com.sk89q.worldedit.util.formatting.component"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/util/formatting/component/SchematicPaginationBox.html" target="_top">Frames</a></li>
<li><a href="SchematicPaginationBox.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
